Bug 1368673 - pythondistdeps.py: 'NoneType' object has no attribute 'split'
Summary: pythondistdeps.py: 'NoneType' object has no attribute 'split'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-20 14:18 UTC by Igor Gnatenko
Modified: 2016-08-27 10:16 UTC (History)
5 users (show)

Fixed In Version: rpm-4.13.0-0.rc1.46.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:16:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Igor Gnatenko 2016-08-20 14:18:43 UTC
File "/usr/lib/rpm/pythondistdeps.py", line 113, in <module>
    pyver_major = dist.py_version.split('.')[0]
AttributeError: 'NoneType' object has no attribute 'split'
Traceback (most recent call last):
  File "/usr/lib/rpm/pythondistdeps.py", line 113, in <module>
    pyver_major = dist.py_version.split('.')[0]
AttributeError: 'NoneType' object has no attribute 'split'
Provides: python-flask = 1:0.10.1-9.fc26 python2.7dist(flask) = 0.10.1 python2dist(flask) = 0.10.1
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PartialHardlinkSets) <= 4.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: python(abi) = 2.7

Comment 1 Igor Gnatenko 2016-08-20 14:19:12 UTC
Full build log: https://kojipkgs.fedoraproject.org/work/tasks/4424/15234424/build.log

Comment 2 Neal Gompa 2016-08-20 17:16:40 UTC
Pull request for patch to fix issue: https://github.com/rpm-software-management/rpm/pull/80

Comment 3 Fedora Update System 2016-08-22 14:42:35 UTC
rpm-4.13.0-0.rc1.42.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d1a2b5042

Comment 4 Fedora Update System 2016-08-22 23:52:07 UTC
rpm-4.13.0-0.rc1.42.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d1a2b5042

Comment 5 Fedora Update System 2016-08-23 10:16:28 UTC
rpm-4.13.0-0.rc1.44.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d1a2b5042

Comment 6 Fedora Update System 2016-08-23 23:21:21 UTC
rpm-4.13.0-0.rc1.44.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d1a2b5042

Comment 7 Fedora Update System 2016-08-24 09:53:53 UTC
rpm-4.13.0-0.rc1.45.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d1a2b5042

Comment 8 Fedora Update System 2016-08-25 09:29:38 UTC
rpm-4.13.0-0.rc1.46.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d1a2b5042

Comment 9 Fedora Update System 2016-08-27 10:16:19 UTC
rpm-4.13.0-0.rc1.46.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.